%define name perl-Tk
%define real_name Tk
%define version 800.022
%define release 5mdk

Summary:	Tk modules for Perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Perl
BuildRequires: XFree86-devel
License:	GPL or Artistic
Source:		ftp://sunsite.doc.ic.ac.uk/packages/CPAN/modules/by-module/Tk/Tk%{version}.tar.bz2
Provides:	perl/tk ptk pTk
Requires:	perl >= 5.00404
Prefix:		%{_prefix}
Buildroot:	%{_tmppath}/%{name}-buildroot

%package devel
Summary:	Tk modules for Perl (development package)
Group:		Development/C
Requires:	perl-Tk = %{version}

%package doc
Summary:	Tk modules for Perl (documentation package)
Group:		Development/Perl
Requires:	perl-Tk

%description
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

%description devel
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the development package.

%description doc
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the documentation package.

%prep
%setup -n Tk%{version}
find . -type f | xargs perl -pi -e 's|^#!.*/bin/perl\S*|#!/usr/bin/perl|'

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" LD_RUN_PATH="" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}
%{__chmod} 644 $RPM_BUILD_ROOT%{_libdir}/perl5/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ToDo Changes README README.linux
%{_bindir}/*
%{_libdir}/perl5/man/man3/*
%{perl_sitearch}/Tk.pm
%dir %{perl_sitearch}/Tk
%{perl_sitearch}/Tk/*.pm
%{perl_sitearch}/Tk/*.pl
%{perl_sitearch}/Tk/*.gif
%{perl_sitearch}/Tk/*.xbm
%{perl_sitearch}/Tk/*.xpm
%{perl_sitearch}/Tk/license.terms
%{perl_sitearch}/Tk/Credits
%{perl_sitearch}/Tk/DragDrop
%{perl_sitearch}/Tk/Event
%{perl_sitearch}/Tk/Menu
%{perl_sitearch}/Tk/Text
%{perl_sitearch}/Tk/demos
%{perl_sitearch}/auto/Tk
%{perl_sitearch}/fix_4_os2.pl

%files devel
%defattr(-,root,root)
%doc COPYING Funcs.doc INSTALL
%{perl_sitearch}/Tk/pTk
%{perl_sitearch}/Tk/*.def
%{perl_sitearch}/Tk/*.h
%{perl_sitearch}/Tk/*.m
%{perl_sitearch}/Tk/*.t
%{perl_sitearch}/Tk/typemap

%files doc
%defattr(-,root,root)
%doc COPYING
%{perl_sitearch}/Tk.pod
%{perl_sitearch}/Tk/*.pod
%{perl_sitearch}/Tk/README.Adjust


%changelog
* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-5mdk
- updated license as the perl one.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-4mdk
- build release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 800.022-3mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-2mdk
- macroszifications.
- added perl-Tk-devel and perl-Tk-doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-1mdk
- 800.022.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 800.018-3mdk
- Fix buid for i486

* Wed Apr 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 800.018-2mdk
- updated to perl 5.600

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 800.018-1mdk
- v800.18
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl>

* Thu Feb 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- update to 800.018

* Wed Jan 19 2000 Pixel <pixel@mandrakesoft.com>
- mandrake creation/adaptation
- removed the ed stuff by perl (what the hell, it's a perl module!)
